Are you a student looking to sign in? Click here, we can help!

Devices and Operating Systems That Are No Longer Supported

< Back

You can access Kicksite on many different devices on many different operating systems. As a software company, Kicksite keeps up with the newest technology and software.

As technology advances, device and operating system manufacturers eventually stop supporting older devices and operating systems. When this happens, you may not be able to update your device or apps. Kicksite may not be able to support these older devices or operating systems.

If you encounter a problem accessing Kicksite on an older device or older operating system, please check the following lists to see if your device or operating system appears. If that is the case, you may need to consider upgrading your device or operating system.

The following iOS (mobile) devices are no longer being supported by Apple:

  • iPad (1st Generation)
  • iPad 2
  • iPad (3rd Generation)
  • iPad (4th Generation)
  • iPad Air
  • iPhone 3G
  • iPhone 3GS
  • iPhone 4
  • iPhone 4s
  • iPhone 5
  • iPhone 5s

The following Mac devices are longer being supported by Apple:

  • iMac
    • 5-inch (Mid 2011 – Early 2013)
    • 27-inch (Mid 2011 – Late 2012)
  • MacBook Air
    • 11-inch (Late 2010 – Early 2014)
    • 13-inch (Mid 2011 – Early 2011)
  • MacBook Pro
    • 13-inch Regular and Retina (Late 2011 – Mid 2014)
    • 15-inch (Early 2011 – Mid 2012)
    • 17-inch (Early 2011 – Late 2012)
  • Mac Mini (and server)
    • Late 2012
    • Mid 2010 – Mid 2011
  • Mac Pro
    • 2012

The following Android operating systems are no longer being supported:

  • No codename; Android 1.0
  • Petit Four; Android 1.1
  • Cupcake; Android 1.5
  • Donut; Android 1.6
  • Éclair; Android 2.0-2.1
  • Froyo; Android 2.2-2.2.3
  • Gingerbread; Android 2.3-2.3.7
  • Honeycomb; Android 3.0-3.2.6
  • Ice Cream Sandwich; Android 4.0-4.0.4
  • Jelly Bean; Android 4.1-4.3.1
  • KitKat; Android 4.4-4.4.4
  • Lollipop; Android 5.0-5.1.1
  • Marshmallow; Android 6.0-6.0.1

The following Windows operating systems are no longer being supported by Microsoft:

  • Windows 1.0 through 95
  • Windows NT 3.1 through 4.0
  • Windows 98 and Windows 98 SE
  • Windows 2000
  • Windows Me
  • Windows XP, Windows XP Professional, and Windows XP 64-Bit Edition
  • Window Vista
  • Windows Server 2003, Windows Home Server, and Windows Home Server 2011
  • Windows 8